Project

General

Profile

Bug #958

Problems with multilib repository when installing libreboot build dependencies

albin - over 3 years ago - . Updated over 3 years ago.

Status:
info needed
Priority:
bug
Assignee:
-
% Done:

0%


Description

I'm trying to install the build dependencies for libreboot but the process fails at this point:

(1/1) reinstalling arm-none-eabi-gcc               [###########################] 100%
Cross-Compiling: You are running on 64-bit architecture, however 32-bit libraries are needed
You must enable the multilib repository in /etc/pacman.conf first

I've enabled both [multilib] and [libre-multilib] and run `pacman -Syu` but this makes no difference. If I try to enable the testing repositories I get a 404 error message.

History

#1

Updated by albin over 3 years ago

Oh, this bug is not related to the "Installation media". I don't have the permissions to move it though.

#2

Updated by alfplayer over 3 years ago

  • Project changed from Installation media to 19
#3

Updated by isacdaavid over 3 years ago

alfplayer wrote:

...ARM for Parabola GNU/Linux-libre

There's no multilib for armv7h because it's a 32-bit architecture.
In fact the arm-none-eabi-gcc package doesn't even exist in the armv7h port. What's going on here?

#4

Updated by alfplayer over 3 years ago

Just a guess: maybe OP needs to install gcc-multilib or some other multilib package.

#5

Updated by Anonymous over 3 years ago

  • Project changed from 19 to Packages
#6

Updated by isacdaavid over 3 years ago

  • Status changed from open to info needed

Also available in: Atom PDF